import { TableFilter } from "../filter";
import { ChainEvent } from "../event";
import { InfoProvider } from "./info";
import { Changed } from "./change";
export interface EntityFilter extends TableFilter {
    key?: ChainKey;
}
export interface ChainKey {
    module?: string;
    entity?: string;
    id?: string;
}
export interface ChainEntityEvent<P> extends ChainEvent<P> {
    key?: ChainKey;
}
export interface ChainEntity {
    key?: ChainKey;
}
export interface ChainEntityBase extends InfoProvider, ChainEntity, Changed {
}
