(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
    typeof define === 'function' && define.amd ? define('@yukawa/chain-base-angular-domain', ['exports'], factory) :
    (global = global || self, factory((global.yukawa = global.yukawa || {}, global.yukawa['chain-base-angular-domain'] = {})));
}(this, (function (exports) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __createBinding(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        o[k2] = m[k];
    }

    function __exportStar(m, exports) {
        for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @deprecated use chain-base-angular-core
     * @record
     */
    function ConfigAspect() { }
    if (false) {
        /**
         * @param {?} id
         * @return {?}
         */
        ConfigAspect.prototype.getBaseUrl = function (id) { };
        /**
         * @param {?} id
         * @return {?}
         */
        ConfigAspect.prototype.getConfig = function (id) { };
        /**
         * @return {?}
         */
        ConfigAspect.prototype.loadConfig = function () { };
        /**
         * @param {?} id
         * @return {?}
         */
        ConfigAspect.prototype.formatUrl = function (id) { };
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function Pager() { }
    if (false) {
        /** @type {?} */
        Pager.prototype.pageSize;
        /** @type {?} */
        Pager.prototype.firstResult;
    }
    /**
     * @record
     */
    function InfoFilter() { }
    if (false) {
        /** @type {?|undefined} */
        InfoFilter.prototype.name;
        /** @type {?|undefined} */
        InfoFilter.prototype.shortName;
    }
    /**
     * @record
     */
    function BaseFilter() { }
    /**
     * @record
     */
    function TableFilter() { }
    if (false) {
        /** @type {?|undefined} */
        TableFilter.prototype.keyword;
        /** @type {?|undefined} */
        TableFilter.prototype.orderDir;
        /** @type {?|undefined} */
        TableFilter.prototype.orderBy;
        /** @type {?|undefined} */
        TableFilter.prototype.pager;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     * @template P
     */
    function ChainEvent() { }
    if (false) {
        /** @type {?|undefined} */
        ChainEvent.prototype.timeStamp;
        /** @type {?|undefined} */
        ChainEvent.prototype.name;
        /** @type {?|undefined} */
        ChainEvent.prototype.module;
        /** @type {?|undefined} */
        ChainEvent.prototype.tx;
        /** @type {?|undefined} */
        ChainEvent.prototype.payload;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function AccessRights() { }
    if (false) {
        /** @type {?|undefined} */
        AccessRights.prototype.readUsers;
        /** @type {?|undefined} */
        AccessRights.prototype.writeUsers;
        /** @type {?|undefined} */
        AccessRights.prototype.readGroups;
        /** @type {?|undefined} */
        AccessRights.prototype.writeGroups;
    }
    /**
     * @record
     */
    function AccessRightsFilter() { }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function Change() { }
    if (false) {
        /** @type {?} */
        Change.prototype.userId;
        /** @type {?} */
        Change.prototype.date;
    }
    /**
     * @record
     */
    function Changed() { }
    if (false) {
        /** @type {?|undefined} */
        Changed.prototype.change;
    }
    /**
     * @record
     */
    function Created() { }
    if (false) {
        /** @type {?|undefined} */
        Created.prototype.created;
    }
    /**
     * @record
     */
    function ChangeFilter() { }
    if (false) {
        /** @type {?|undefined} */
        ChangeFilter.prototype.userId;
        /** @type {?} */
        ChangeFilter.prototype.date;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function EntityFilter() { }
    if (false) {
        /** @type {?|undefined} */
        EntityFilter.prototype.key;
    }
    /**
     * @record
     */
    function ChainKey() { }
    if (false) {
        /** @type {?|undefined} */
        ChainKey.prototype.module;
        /** @type {?|undefined} */
        ChainKey.prototype.entity;
        /** @type {?|undefined} */
        ChainKey.prototype.id;
    }
    /**
     * @record
     * @template P
     */
    function ChainEntityEvent() { }
    if (false) {
        /** @type {?|undefined} */
        ChainEntityEvent.prototype.key;
    }
    /**
     * @record
     */
    function ChainEntity() { }
    if (false) {
        /** @type {?|undefined} */
        ChainEntity.prototype.key;
    }
    /**
     * @record
     */
    function ChainEntityBase() { }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var Type = {
        FILE: "FILE",
        DIRECTORY: 'DIRECTORY',
    };
    /**
     * @record
     */
    function FileInfo() { }
    if (false) {
        /** @type {?|undefined} */
        FileInfo.prototype.fileId;
        /** @type {?|undefined} */
        FileInfo.prototype.fileName;
        /** @type {?|undefined} */
        FileInfo.prototype.type;
        /** @type {?|undefined} */
        FileInfo.prototype.parentId;
        /** @type {?|undefined} */
        FileInfo.prototype.mime;
        /** @type {?} */
        FileInfo.prototype.tags;
        /** @type {?|undefined} */
        FileInfo.prototype.accessRights;
    }
    /**
     * @record
     */
    function FileInfoFilter() { }
    if (false) {
        /** @type {?|undefined} */
        FileInfoFilter.prototype.fileId;
        /** @type {?|undefined} */
        FileInfoFilter.prototype.fileName;
        /** @type {?|undefined} */
        FileInfoFilter.prototype.types;
        /** @type {?|undefined} */
        FileInfoFilter.prototype.parentId;
        /** @type {?|undefined} */
        FileInfoFilter.prototype.tags;
        /** @type {?|undefined} */
        FileInfoFilter.prototype.accessFilter;
        /** @type {?|undefined} */
        FileInfoFilter.prototype.change;
        /** @type {?|undefined} */
        FileInfoFilter.prototype.created;
    }
    /**
     * @record
     */
    function FileEvent() { }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function InfoProvider() { }
    if (false) {
        /** @type {?|undefined} */
        InfoProvider.prototype.info;
    }
    /**
     * @record
     */
    function Info() { }
    if (false) {
        /** @type {?|undefined} */
        Info.prototype.name;
        /** @type {?|undefined} */
        Info.prototype.shortName;
        /** @type {?|undefined} */
        Info.prototype.desc;
    }
    /**
     * @record
     */
    function HostStoreInfo() { }
    if (false) {
        /** @type {?} */
        HostStoreInfo.prototype.ctxp;
        /** @type {?} */
        HostStoreInfo.prototype.host;
        /** @type {?} */
        HostStoreInfo.prototype.port;
        /** @type {?} */
        HostStoreInfo.prototype.storeNames;
    }
    /**
     * @record
     */
    function Enabled() { }
    if (false) {
        /** @type {?|undefined} */
        Enabled.prototype.enabled;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ChainContext = /** @class */ (function () {
        function ChainContext(data) {
            this.init(data);
        }
        /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        ChainContext.prototype.init = /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        function (data) {
            Object.assign(this, data);
            for (var idx = 0; idx < this.modules.length; idx++) {
                /** @type {?} */
                var module = this.modules[idx];
                module.apiUrl = module.apiUrl || this.baseUrl + '/' + module.reg;
            }
        };
        return ChainContext;
    }());
    if (false) {
        /** @type {?} */
        ChainContext.prototype.name;
        /** @type {?} */
        ChainContext.prototype.shortName;
        /** @type {?} */
        ChainContext.prototype.desc;
        /** @type {?} */
        ChainContext.prototype.baseUrl;
        /** @type {?} */
        ChainContext.prototype.tokenUrl;
        /** @type {?} */
        ChainContext.prototype.modules;
    }
    /**
     * @record
     */
    function ModuleInfo() { }
    if (false) {
        /** @type {?} */
        ModuleInfo.prototype.reg;
        /** @type {?|undefined} */
        ModuleInfo.prototype.name;
        /** @type {?|undefined} */
        ModuleInfo.prototype.desc;
        /** @type {?|undefined} */
        ModuleInfo.prototype.apiUrl;
        /** @type {?} */
        ModuleInfo.prototype.aspects;
    }
    /**
     * @record
     */
    function AspectInfo() { }
    if (false) {
        /** @type {?|undefined} */
        AspectInfo.prototype.name;
        /** @type {?} */
        AspectInfo.prototype.shortName;
        /** @type {?|undefined} */
        AspectInfo.prototype.desc;
        /** @type {?|undefined} */
        AspectInfo.prototype.apiUrl;
        /** @type {?|undefined} */
        AspectInfo.prototype.requests;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function GeoLocation() { }
    if (false) {
        /** @type {?} */
        GeoLocation.prototype.latitude;
        /** @type {?} */
        GeoLocation.prototype.longitude;
        /** @type {?} */
        GeoLocation.prototype.altitude;
    }
    /**
     * @record
     */
    function Address() { }
    if (false) {
        /** @type {?|undefined} */
        Address.prototype.street;
        /** @type {?|undefined} */
        Address.prototype.streetNumber;
        /** @type {?|undefined} */
        Address.prototype.country;
        /** @type {?|undefined} */
        Address.prototype.zip;
        /** @type {?|undefined} */
        Address.prototype.city;
        /** @type {?|undefined} */
        Address.prototype.type;
        /** @type {?|undefined} */
        Address.prototype.desc;
    }
    /**
     * @record
     */
    function Person() { }
    if (false) {
        /** @type {?|undefined} */
        Person.prototype.companyName;
        /** @type {?|undefined} */
        Person.prototype.email;
        /** @type {?|undefined} */
        Person.prototype.firstName;
        /** @type {?|undefined} */
        Person.prototype.lastName;
        /** @type {?|undefined} */
        Person.prototype.mobile;
        /** @type {?|undefined} */
        Person.prototype.phoneNumber;
        /** @type {?|undefined} */
        Person.prototype.role;
        /** @type {?} */
        Person.prototype.addresses;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     * @template V
     */
    function Range() { }
    if (false) {
        /** @type {?|undefined} */
        Range.prototype.from;
        /** @type {?|undefined} */
        Range.prototype.to;
    }
    /**
     * @record
     */
    function IntRange() { }
    /**
     * @record
     */
    function DateRange() { }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var DetailLevel = {
        DEBUG: 0,
        INFO: 1,
        WARN: 2,
        ERROR: 3,
        FATAL: 30,
        MAX: 9999,
    };
    DetailLevel[DetailLevel.DEBUG] = 'DEBUG';
    DetailLevel[DetailLevel.INFO] = 'INFO';
    DetailLevel[DetailLevel.WARN] = 'WARN';
    DetailLevel[DetailLevel.ERROR] = 'ERROR';
    DetailLevel[DetailLevel.FATAL] = 'FATAL';
    DetailLevel[DetailLevel.MAX] = 'MAX';
    /** @enum {string} */
    var ResultCode = {
        OK: "OK",
        IO: "IO",
        VALID: "VALID",
        INVALID: "INVALID",
        DUPLICATE: "DUPLICATE",
        DATA_ACCESS: "DATA_ACCESS",
        NOT_FOUND: "NOT_FOUND",
        UNKNOWN: "UNKNOWN",
        DELETE: "DELETE",
    };
    /**
     * @record
     */
    function ResultDetail() { }
    if (false) {
        /** @type {?} */
        ResultDetail.prototype.text;
        /** @type {?} */
        ResultDetail.prototype.code;
        /** @type {?} */
        ResultDetail.prototype.type;
        /** @type {?} */
        ResultDetail.prototype.level;
    }
    /**
     * @abstract
     */
    var   /**
     * @abstract
     */
    AbstractResult = /** @class */ (function () {
        function AbstractResult(data) {
            this.messages = [];
            Object.assign(this, data);
        }
        /*  public constructor(operation: string, fqn: string) {
              this.operation = operation;
              this.fqn = fqn;
              this.stamp = new Date();
          }*/
        /*  public constructor(operation: string, fqn: string) {
                this.operation = operation;
                this.fqn = fqn;
                this.stamp = new Date();
            }*/
        /**
         * @return {?}
         */
        AbstractResult.prototype.hasError = /*  public constructor(operation: string, fqn: string) {
                this.operation = operation;
                this.fqn = fqn;
                this.stamp = new Date();
            }*/
        /**
         * @return {?}
         */
        function () {
            return this.findDetail();
        };
        /**
         * @return {?}
         */
        AbstractResult.prototype.hasWarn = /**
         * @return {?}
         */
        function () {
            return this.findDetail(DetailLevel.WARN, DetailLevel.ERROR);
        };
        /**
         * @param {?=} minLevel
         * @param {?=} maxLevel
         * @return {?}
         */
        AbstractResult.prototype.findDetail = /**
         * @param {?=} minLevel
         * @param {?=} maxLevel
         * @return {?}
         */
        function (minLevel, maxLevel) {
            if (minLevel === void 0) { minLevel = DetailLevel.ERROR; }
            if (maxLevel === void 0) { maxLevel = DetailLevel.MAX; }
            /** @type {?} */
            var details = this.messages;
            if (details) {
                for (var i = 0; i < details.length; i++) {
                    /** @type {?} */
                    var msg = details[i];
                    //console.log("AbstractResult findDetail [%d,%d] %o ", minLevel, maxLevel, msg);
                    if (msg.level >= minLevel && msg.level <= maxLevel)
                        return msg;
                }
            }
            return null;
        };
        /**
         * @return {?}
         */
        AbstractResult.prototype.findMaxDetail = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var max = null;
            /** @type {?} */
            var details = this.messages;
            if (details != null && details.length) {
                max = details[0];
                for (var idx = 0; idx < details.length; idx++) {
                    /** @type {?} */
                    var detail = details[idx];
                    if (detail.level >= max.level) {
                        max = detail;
                    }
                }
            }
            return max;
        };
        /**
         * @param {?} text
         * @param {?=} code
         * @param {?=} type
         * @return {?}
         */
        AbstractResult.prototype.error = /**
         * @param {?} text
         * @param {?=} code
         * @param {?=} type
         * @return {?}
         */
        function (text, code, type) {
            if (code === void 0) { code = null; }
            if (type === void 0) { type = null; }
            /** @type {?} */
            var detail = (/** @type {?} */ ({ text: text, code: code, type: type, level: DetailLevel.ERROR }));
            this.messages.push(detail);
            return detail;
            // return new ResultDetail(text, code, type, DetailLevel.ERROR);
        };
        /**
         * @param {?} text
         * @param {?=} code
         * @param {?=} type
         * @return {?}
         */
        AbstractResult.prototype.warn = /**
         * @param {?} text
         * @param {?=} code
         * @param {?=} type
         * @return {?}
         */
        function (text, code, type) {
            if (code === void 0) { code = null; }
            if (type === void 0) { type = null; }
            /** @type {?} */
            var detail = (/** @type {?} */ ({ text: text, code: code, type: type, level: DetailLevel.WARN }));
            this.messages.push(detail);
            return detail;
        };
        /**
         * @param {?} text
         * @param {?=} code
         * @param {?=} type
         * @return {?}
         */
        AbstractResult.prototype.info = /**
         * @param {?} text
         * @param {?=} code
         * @param {?=} type
         * @return {?}
         */
        function (text, code, type) {
            if (code === void 0) { code = null; }
            if (type === void 0) { type = null; }
            /** @type {?} */
            var detail = (/** @type {?} */ ({ text: text, code: code, type: type, level: DetailLevel.INFO }));
            this.messages.push(detail);
            return detail;
        };
        /**
         * @param {?} text
         * @param {?=} type
         * @return {?}
         */
        AbstractResult.prototype.ok = /**
         * @param {?} text
         * @param {?=} type
         * @return {?}
         */
        function (text, type) {
            /** @type {?} */
            var detail = (/** @type {?} */ ({ text: text, code: ResultCode.OK, type: type, level: DetailLevel.INFO }));
            this.messages.push(detail);
            return detail;
        };
        /**
         * @param {?} data
         * @return {?}
         */
        AbstractResult.fromData = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            //console.log("Setting", "fromData => ", data);
            // [ww] hack: fallback
            // noinspection TypeScriptValidateTypes
            //return new AbstractResult(data);
            throw new Error("");
        };
        return AbstractResult;
    }());
    if (false) {
        /** @type {?} */
        AbstractResult.prototype.operation;
        /** @type {?} */
        AbstractResult.prototype.fqn;
        /** @type {?} */
        AbstractResult.prototype.messages;
        /** @type {?} */
        AbstractResult.prototype.stamp;
    }
    var EditResult = /** @class */ (function (_super) {
        __extends(EditResult, _super);
        function EditResult(data) {
            return _super.call(this, data) || this;
        }
        /*  constructor(key: string, operation: string, fqn: string) {
            super(operation, fqn);
            this.key = key;
        }*/
        /*  constructor(key: string, operation: string, fqn: string) {
                super(operation, fqn);
                this.key = key;
            }*/
        /**
         * @param {?} data
         * @return {?}
         */
        EditResult.fromData = /*  constructor(key: string, operation: string, fqn: string) {
                super(operation, fqn);
                this.key = key;
            }*/
        /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            //console.log("Setting", "fromData => ", data);
            return new EditResult(data);
        };
        return EditResult;
    }(AbstractResult));
    if (false) {
        /** @type {?} */
        EditResult.prototype.key;
    }
    /**
     * @template E
     */
    var   /**
     * @template E
     */
    QueryResult = /** @class */ (function (_super) {
        __extends(QueryResult, _super);
        function QueryResult(data) {
            var _this = _super.call(this, data) || this;
            _this.items = [];
            _this.items = data.items;
            return _this;
        }
        /**
         * @template E
         * @param {?} data
         * @return {?}
         */
        QueryResult.fromData = /**
         * @template E
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return new QueryResult(data);
        };
        return QueryResult;
    }(AbstractResult));
    if (false) {
        /** @type {?} */
        QueryResult.prototype.items;
        /** @type {?} */
        QueryResult.prototype.rows;
        /** @type {?} */
        QueryResult.prototype.hasMore;
    }
    var ErrorResult = /** @class */ (function (_super) {
        __extends(ErrorResult, _super);
        function ErrorResult(data) {
            return _super.call(this, data) || this;
        }
        /**
         * @param {?} data
         * @return {?}
         */
        ErrorResult.fromData = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return new ErrorResult(data);
        };
        return ErrorResult;
    }(AbstractResult));
    if (false) {
        /** @type {?} */
        ErrorResult.prototype.exception;
    }
    /**
     * elastic search result
     * @record
     * @template E
     */
    function SearchResult() { }
    if (false) {
        /** @type {?|undefined} */
        SearchResult.prototype.total;
        /** @type {?|undefined} */
        SearchResult.prototype.took;
        /** @type {?|undefined} */
        SearchResult.prototype.timedOut;
        /** @type {?} */
        SearchResult.prototype.rows;
    }
    /**
     * @record
     */
    function ResultFilter() { }
    if (false) {
        /** @type {?|undefined} */
        ResultFilter.prototype.operation;
        /** @type {?|undefined} */
        ResultFilter.prototype.status;
        /** @type {?|undefined} */
        ResultFilter.prototype.userId;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * copy of chaos-sys-type (ts) <br/>
     * changes should in this file should copied over to chaos-sys libs
     * @author ww
     * @deprecated use chain-base-angular-core
     */
    var   /**
     * copy of chaos-sys-type (ts) <br/>
     * changes should in this file should copied over to chaos-sys libs
     * @author ww
     * @deprecated use chain-base-angular-core
     */
    SysType = /** @class */ (function () {
        // @toDo [ww] package chaos-sys + chaos-front for angular
        function SysType() {
        }
        /**
         * @param {?} source
         * @return {?}
         */
        SysType.isArray = /**
         * @param {?} source
         * @return {?}
         */
        function (source) {
            return source instanceof Array;
        };
        /**
         * @template E
         * @param {?} value
         * @return {?}
         */
        SysType.toArray = /**
         * @template E
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (!value) {
                return [];
            }
            if (SysType.isArray(value))
                return value;
            return [value];
        };
        /**
         * @param {?} source
         * @return {?}
         */
        SysType.isDate = /**
         * @param {?} source
         * @return {?}
         */
        function (source) {
            return source instanceof Date;
        };
        /**
         * @param {?} value
         * @return {?}
         */
        SysType.isPrimitive = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            /** @type {?} */
            var type = typeof value;
            return type === 'string' || type === 'number' || type === 'boolean' || SysType.isDate(value);
        };
        // -----------------------------------------------------------------------------------------------------------------
        // -----------------------------------------------------------------------------------------------------------------
        /**
         * @param {?} destination
         * @param {?} source
         * @param {?=} cloneDest
         * @return {?}
         */
        SysType.objectMix = 
        // -----------------------------------------------------------------------------------------------------------------
        /**
         * @param {?} destination
         * @param {?} source
         * @param {?=} cloneDest
         * @return {?}
         */
        function (destination, source, cloneDest) {
            if (cloneDest === void 0) { cloneDest = false; }
            /** @type {?} */
            var target;
            /** @type {?} */
            var property;
            if (SysType.isArray(source)) {
                //console.debug("objectMix source array");
                if (cloneDest) {
                    source = [destination].concat(source);
                    target = {};
                }
                else
                    target = destination;
                for (var idx = 0; idx < source.length; idx++) {
                    //console.group("objectMix("+idx+")");
                    target = SysType.objectMix(target, source[idx]);
                    //console.groupEnd()
                }
                return target;
            }
            if (cloneDest) {
                //target = SysType.objectMix({} , destination, false);
                target = SysType.objectClone(destination);
            }
            else {
                target = destination || {};
            }
            //noinspection JSLint
            for (property in source) {
                if (!source.hasOwnProperty(property))
                    continue;
                /** @type {?} */
                var src = source[property];
                if (SysType.isDate(src)) {
                    target[property] = SysType.objectClone(src) || destination[property];
                    continue;
                }
                if (SysType.isPrimitive(src)) {
                    //console.debug("%s <= %s || %s", property, JSON.stringify(src || 'no src'),JSON.stringify(destination ? destination[property] : 'no dest')
                    //console.debug("%s <= %s || %s", property, JSON.stringify(src || 'no src'), destination ? JSON.stringify(destination[property]) : 'no dest' );
                    //noinspection JSUnfilteredForInLoop
                    target[property] = src || destination[property];
                    continue;
                }
                if (SysType.isArray(src)) {
                    //console.group(property+"["+src.length+"]");
                    //target = cloneDest ? SysType.objectClone(SysType.toArray(destination)) : SysType.toArray(destination);
                    /** @type {?} */
                    var tar = SysType.toArray(destination[property]);
                    for (var i = 0; i < src.length; i++) {
                        tar[i] = SysType.objectMix(tar[i], src[i], false);
                    }
                    target[property] = tar;
                    //console.groupEnd();
                }
                else {
                    //<debug>
                    //console.group(property+" (obj)");
                    //</debug>
                    target[property] = SysType.objectMix(destination[property], src, false);
                    //<debug>
                    //console.groupEnd();
                    //</debug>
                }
            }
            return target;
        };
        /**
         * @param {?} source
         * @return {?}
         */
        SysType.objectClone = /**
         * @param {?} source
         * @return {?}
         */
        function (source) {
            if (!source) {
                return source;
            }
            if (SysType.isDate(source)) {
                return new Date(((/** @type {?} */ (source))).valueOf());
            }
            if (SysType.isPrimitive(source)) {
                return source;
            }
            /** @type {?} */
            var target;
            if (SysType.isArray(source)) {
                target = [];
                for (var i = 0; i < source.length; i++) {
                    target[i] = SysType.objectClone(source[i]);
                }
                return target;
                //return source.slice();
            }
            target = {};
            for (var property in source) {
                if (!source.hasOwnProperty(property))
                    continue;
                target[property] = SysType.objectClone(source[property]);
            }
            return target;
        };
        return SysType;
    }());

    exports.AbstractResult = AbstractResult;
    exports.ChainContext = ChainContext;
    exports.DetailLevel = DetailLevel;
    exports.EditResult = EditResult;
    exports.ErrorResult = ErrorResult;
    exports.QueryResult = QueryResult;
    exports.ResultCode = ResultCode;
    exports.SysType = SysType;
    exports.Type = Type;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=yukawa-chain-base-angular-domain.umd.js.map
